package com.jeequan.jeepay.thirdparty.channel.kqpay.model;

import com.alibaba.fastjson.JSONObject;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
public class KqpayResp {

    private KqpayReqHead head;

    private JSONObject responseBody;

    public KqpayResp(JSONObject head,JSONObject responseBody) {
        this.head = head.toJavaObject(KqpayReqHead.class);
        this.responseBody = responseBody;
    }

    public KqpayResp(JSONObject head) {
        this(head,null);
    }
}
